﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Automobile.Models
{
    public class Vehicle
    {
        public int VehicleID { get; set; }
        
        [Required]
        [Column(TypeName = "varchar")]
        [MaxLength(50)]
        public string Name { get; set; }

        [Column(TypeName = "varchar")]
        [MaxLength(200)]
        public string Description { get; set; }
        
        public double MSRP { get; set; }

        [Required]
        public int TyreTypeID { get; set; }
        public virtual TyreType TypeType { get; set; }

    }
}